<div class="assignmentSkillWrap">
  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>User Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add User
      </button>
    </div>
  </div>
  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>User Name</th>
        <th>User Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentUserObj of assignmentUserList">
        <td>{{assignmentUserObj.userName}}</td>
        <td>{{assignmentUserObj.status}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentYearObj)">
          Edit User
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentYearObj)">
          Delete User
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentUser">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">create User</h4>
        <h4  *ngIf="isEdit">Edit User</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentBadge="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentBadgeObj.touched && assignmentBadgeObj.invalid">
              <label for="assignmentName">User Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentBadgeObj.userName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="User"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter User Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">User Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentBadgeObj.userDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter User Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentUser()" [disabled]="!assignmentBadge.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentUser()" [disabled]="!assignmentBadge.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hidePopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentUser">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Assignment Badge</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletebadgeObj.assignmentBadgeObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentBadge(deletebadgeObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
